package com.example.springbootdemo.controller;

import com.example.springbootdemo.entity.Device;
import com.example.springbootdemo.mapper.DeviceMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author zhangxiaoyu
 * @version 1.0
 * @date 2021/6/1 下午3:24
 */
@RestController
public class MybatisPlusController {
    @Autowired
    DeviceMapper deviceMapper;
    @RequestMapping("/mybatisPlusSelect")
    public List<Device> getDeviceList() {
        List<Device> deviceList = deviceMapper.selectList(null);
        return deviceList;
    }
}
